#
# spec file for package wineasio
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

%ifarch %ix86
%define         _lto_cflags      %{nil}
%endif
Name:           wineasio
Version:        0.9.2
Release:        pm152.4.4
Summary:        ASIO to JACK driver for wine
License:        LGPL-2.1-or-later
Group:          System/Emulators/PC
URL:            https://sourceforge.net/projects/wineasio/
Source0:        https://sourceforge.net/projects/wineasio/files/%{name}-%{version}.tar.gz
Source1:        asio.h
Source2:        baselibs.conf
Patch0:         wineasio-use_sed.patch
Patch1:         wineasio-fix_unicode.patch

BuildRequires:  ed
BuildRequires:  pkgconfig
BuildRequires:  wine
BuildRequires:  wine-devel
BuildRequires:  pkgconfig(jack)

%description
WineASIO provides an ASIO to JACK driver for WINE.
ASIO is the most common Windows low-latency driver,
so is commonly used in audio workstation programs.

%prep
%autosetup -p1 -n %{name}
cp %{SOURCE1} .
%ifarch x86_64
  ./prepare_64bit_asio
  cp -a Makefile64 Makefile
%endif

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
mkdir -pv %{buildroot}/%{_libdir}/wine
install -m755 wineasio.dll.so %{buildroot}/%{_libdir}/wine/

%files
%license COPYING.LIB
%doc README
%{_libdir}/wine/wineasio.dll.so

%changelog
* Fri Apr 24 2020 Luigi Baldoni <aloisio@gmx.com>
- Add wineasio-use_sed.patch and wineasio-fix_unicode.patch
- Spec cleanup
* Thu Jun 12 2014 packmanbmw@lsmod.de
- version 0.9.2
  Add 64bit support
  Various bug fixes
* Sat May 21 2011 andrea@opensuse.org
- New package
